Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155403 - Need to edit /etc/ghostscript/CIDFnmap.ja to point to new font location
Summary: Need to edit /etc/ghostscript/CIDFnmap.ja to point to new font location
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: fonts-japanese
Version: rawhide
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-20 01:33 UTC by John Thacker
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 0.20050222-3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-20 04:15:58 UTC


Attachments (Terms of Use)

Description John Thacker 2005-04-20 01:33:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-2 Firefox/1.0.3

Description of problem:
The japanese fonts were moved from /usr/share/fonts/ja to /usr/share/fonts/japanese.  But the CIDFnmap.ja file that tells, e.g., mozilla where to find the Japanese fonts didn't reflect those changes.  As a result, Japanese fonts aren't printed from firefox, mozilla, et al.

[jat48@thacker ~]$ rpm -q --changelog fonts-japanese | more
* Thu Feb 24 2005 Akira TAGOH <tagoh@redhat.com> - 0.20050222-2
- Use /usr/share/fonts/japanese instead of /usr/share/fonts/ja

[jat48@thacker ~]$ rpm -ql fonts-japanese | grep ttf
/usr/share/fonts/japanese/TrueType/kochi-gothic-subst.ttf
/usr/share/fonts/japanese/TrueType/kochi-mincho-subst.ttf

But in /etc/ghostscript/CIDFnmap.ja :

/Kochi-Mincho   (/usr/share/fonts/ja/TrueType/kochi-mincho-subst.ttf) ;
/Kochi-Gothic   (/usr/share/fonts/ja/TrueType/kochi-gothic-subst.ttf) ;

The file needs to be edited to point to the right path.  Otherwise people can't print from browsers.

The same thing goes for the Chinese and Korean font packages.


Version-Release number of selected component (if applicable):
fonts-japanese-0.20050222-2

How reproducible:
Always

Steps to Reproduce:
1. Try to print Japanese from firefox or mozilla
2. Note the utter failure.
  

Actual Results:  Japanese doesn't print; usually blank spaces or boxes.

Expected Results:  Japanese should have printed.

Additional info:

Comment 1 Akira TAGOH 2005-04-20 04:15:58 UTC
Thank you for catching this issue. it will be fixed in 0.20050222-3.


Note You need to log in before you can comment on or make changes to this bug.